Subject: Re: Compiler warning under cygwin/mingw

From: Ramsay Jones <[email-masked]>
Date: Mon, 29 Feb 2016 12:32:33 +0000

On 29/02/16 10:40, Torsten Bögershausen wrote:
> That compiles OK, thanks.
> 
> 
> Sorry for high-jacking this thread, but while compiling under CYGWIN,
> found one warning:
> 
>    LINK git-credential-store.exe
>     CC daemon.o
> daemon.c: In function ‘drop_privileges’:
> daemon.c:1136:15: warning: implicit declaration of function ‘initgroups’ [-Wimplicit-function-declaration]
>   if (cred && (initgroups(cred->pass->pw_name, cred->gid) ||

Yeah, this has been there for a while - except it depends on which version
of the header files you have. (Some may not see the warning).

I have 'fixed' this twice before, then updated my installation and
a change to the system headers broke it again! (The headers are
currently 'broken'). So, I got tired of fixing it up and have left
it a while - you never know a new update may fix it! ;-)

[I personally don't use the git daemon on cygwin, so I don't know
if this a problem in practice.]

ATB,
Ramsay Jones